import request from "@/utils/request";
import { AxiosPromise } from "axios";
import { UserForm, UserPageVO, UserQuery } from "./types";

/**
 * 登录成功后获取用户信息（昵称、头像、权限集合和角色集合）
 */
export function getMessageOrgList(): AxiosPromise {
  return request({
    url: "api/v1/syn/message/org/listAll",
    method: "get",
  });
}
