import { useDictionaryStore } from "@/store";

const { dicts } = useDictionaryStore();

export const tableConfig = {
  USERS: {
    url: "/api/v1/syn/user/info",
    column: [
      {
        label: "员工编码",
        prop: "employeeCode",
      },
      {
        label: "用户id",
        prop: "id",
        /*display:false,*/
      },
      {
        label: "用户名",
        prop: "userName",
        search: true,
        width: "120",
      },
      {
        label: "用户电话",
        prop: "phone",
      },

      {
        label: "部门",
        prop: "deptName",
        search: true,
        overHidden: true,
        disabled: true,
      },
      /* {
        label: "所属机构",
        prop: "institution",
        filterable: true,
        type: "select",
        width: 100,
        overHidden: true,
        dicUrl: dictDataUtil.dept_list_url,
        dicMethod: "post",
        props: { label: "deptName", value: "id" },
        disabled: true,
      },*/
    ],
  },
};
